Skip to main content
GET
/
v1.0
/
numbers
/
order
cURL
curl -X GET 'https://api.telegent.com/v1.0/numbers/order?OrderId=JNUOID-10a3g876-....-....-....-c00a36988653' \
  -H 'Authorization: Bearer YOUR_TOKEN'
{
  "OrderDate": "2025-12-08T00:12:08.89",
  "OrderId": "JNUOID-12390e1f-ef69-4d81-b97b-8d000e763ec9",
  "OrderStatus": "Error",
  "OrderStatusMessage": "8A-ACCOUNT_NUM_REQ_OR_INCORRECT",
  "OrderType": "portin",
  "PhoneNumbersOrdered": [
    {
      "Number": "+12815703894"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.telegent.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter the token obtained from the Authentication endpoint

Query Parameters

OrderId
string

The unique order ID to retrieve details for (e.g., JNUOID-xxxxx)

Response

200 - application/json

Order ID Details

The response is of type object.